TICKIT_RENDERBUFFER_CHAR(3)

NAME
tickit_renderbuffer_char, tickit_renderbuffer_char_at - create character regions

SYNOPSIS
    #include <tickit.h>

    int tickit_renderbuffer_char(TickitRenderBuffer *rb,
            long codepoint);
    int tickit_renderbuffer_char_at(TickitRenderBuffer *rb,
            int line, int col, long codepoint);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_char() creates a text region at the current virtual cursor position to contain the given Unicode character codepoint.

tickit_renderbuffer_char_at() creates a text region at the given position to contain the given Unicode character codepoint. This function does not use or update the virtual cursor position.

RETURN VALUE
This function returns no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_blit(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)